import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::ApiGateway::DomainNameAccessAssociation.
 */
export declare function getDomainNameAccessAssociation(args: GetDomainNameAccessAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetDomainNameAccessAssociationResult>;
export interface GetDomainNameAccessAssociationArgs {
    /**
     * The amazon resource name (ARN) of the domain name access association resource.
     */
    domainNameAccessAssociationArn: string;
}
export interface GetDomainNameAccessAssociationResult {
    /**
     * The amazon resource name (ARN) of the domain name access association resource.
     */
    readonly domainNameAccessAssociationArn?: string;
}
/**
 * Resource Type definition for AWS::ApiGateway::DomainNameAccessAssociation.
 */
export declare function getDomainNameAccessAssociationOutput(args: GetDomainNameAccessAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDomainNameAccessAssociationResult>;
export interface GetDomainNameAccessAssociationOutputArgs {
    /**
     * The amazon resource name (ARN) of the domain name access association resource.
     */
    domainNameAccessAssociationArn: pulumi.Input<string>;
}
