import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AppStream::AppBlock
 */
export declare function getAppBlock(args: GetAppBlockArgs, opts?: pulumi.InvokeOptions): Promise<GetAppBlockResult>;
export interface GetAppBlockArgs {
    /**
     * The ARN of the app block.
     */
    arn: string;
}
export interface GetAppBlockResult {
    /**
     * The ARN of the app block.
     */
    readonly arn?: string;
    /**
     * The time when the app block was created.
     */
    readonly createdTime?: string;
    /**
     * The tags of the app block.
     */
    readonly tags?: (outputs.appstream.AppBlockTag0Properties | outputs.appstream.AppBlockTag1Properties)[];
}
/**
 * Resource Type definition for AWS::AppStream::AppBlock
 */
export declare function getAppBlockOutput(args: GetAppBlockOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAppBlockResult>;
export interface GetAppBlockOutputArgs {
    /**
     * The ARN of the app block.
     */
    arn: pulumi.Input<string>;
}
