"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Agent = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Definition of AWS::Bedrock::Agent Resource Type
 */
class Agent extends pulumi.CustomResource {
    /**
     * Get an existing Agent resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Agent(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Agent.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Agent.__pulumiType;
    }
    /**
     * Create a Agent resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["actionGroups"] = args ? args.actionGroups : undefined;
            resourceInputs["agentCollaboration"] = args ? args.agentCollaboration : undefined;
            resourceInputs["agentCollaborators"] = args ? args.agentCollaborators : undefined;
            resourceInputs["agentName"] = args ? args.agentName : undefined;
            resourceInputs["agentResourceRoleArn"] = args ? args.agentResourceRoleArn : undefined;
            resourceInputs["autoPrepare"] = args ? args.autoPrepare : undefined;
            resourceInputs["customOrchestration"] = args ? args.customOrchestration : undefined;
            resourceInputs["customerEncryptionKeyArn"] = args ? args.customerEncryptionKeyArn : undefined;
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["foundationModel"] = args ? args.foundationModel : undefined;
            resourceInputs["guardrailConfiguration"] = args ? args.guardrailConfiguration : undefined;
            resourceInputs["idleSessionTtlInSeconds"] = args ? args.idleSessionTtlInSeconds : undefined;
            resourceInputs["instruction"] = args ? args.instruction : undefined;
            resourceInputs["knowledgeBases"] = args ? args.knowledgeBases : undefined;
            resourceInputs["memoryConfiguration"] = args ? args.memoryConfiguration : undefined;
            resourceInputs["orchestrationType"] = args ? args.orchestrationType : undefined;
            resourceInputs["promptOverrideConfiguration"] = args ? args.promptOverrideConfiguration : undefined;
            resourceInputs["skipResourceInUseCheckOnDelete"] = args ? args.skipResourceInUseCheckOnDelete : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["testAliasTags"] = args ? args.testAliasTags : undefined;
            resourceInputs["agentArn"] = undefined /*out*/;
            resourceInputs["agentId"] = undefined /*out*/;
            resourceInputs["agentStatus"] = undefined /*out*/;
            resourceInputs["agentVersion"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["failureReasons"] = undefined /*out*/;
            resourceInputs["preparedAt"] = undefined /*out*/;
            resourceInputs["recommendedActions"] = undefined /*out*/;
            resourceInputs["updatedAt"] = undefined /*out*/;
        }
        else {
            resourceInputs["actionGroups"] = undefined /*out*/;
            resourceInputs["agentArn"] = undefined /*out*/;
            resourceInputs["agentCollaboration"] = undefined /*out*/;
            resourceInputs["agentCollaborators"] = undefined /*out*/;
            resourceInputs["agentId"] = undefined /*out*/;
            resourceInputs["agentName"] = undefined /*out*/;
            resourceInputs["agentResourceRoleArn"] = undefined /*out*/;
            resourceInputs["agentStatus"] = undefined /*out*/;
            resourceInputs["agentVersion"] = undefined /*out*/;
            resourceInputs["autoPrepare"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["customOrchestration"] = undefined /*out*/;
            resourceInputs["customerEncryptionKeyArn"] = undefined /*out*/;
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["failureReasons"] = undefined /*out*/;
            resourceInputs["foundationModel"] = undefined /*out*/;
            resourceInputs["guardrailConfiguration"] = undefined /*out*/;
            resourceInputs["idleSessionTtlInSeconds"] = undefined /*out*/;
            resourceInputs["instruction"] = undefined /*out*/;
            resourceInputs["knowledgeBases"] = undefined /*out*/;
            resourceInputs["memoryConfiguration"] = undefined /*out*/;
            resourceInputs["orchestrationType"] = undefined /*out*/;
            resourceInputs["preparedAt"] = undefined /*out*/;
            resourceInputs["promptOverrideConfiguration"] = undefined /*out*/;
            resourceInputs["recommendedActions"] = undefined /*out*/;
            resourceInputs["skipResourceInUseCheckOnDelete"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["testAliasTags"] = undefined /*out*/;
            resourceInputs["updatedAt"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(Agent.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Agent = Agent;
/** @internal */
Agent.__pulumiType = 'aws-native:bedrock:Agent';
//# sourceMappingURL=agent.js.map