import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The resource schema to create a CodeArtifact package group.
 */
export declare function getPackageGroup(args: GetPackageGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetPackageGroupResult>;
export interface GetPackageGroupArgs {
    /**
     * The ARN of the package group.
     */
    arn: string;
}
export interface GetPackageGroupResult {
    /**
     * The ARN of the package group.
     */
    readonly arn?: string;
    /**
     * The contact info of the package group.
     */
    readonly contactInfo?: string;
    /**
     * The text description of the package group.
     */
    readonly description?: string;
    /**
     * The 12-digit account ID of the AWS account that owns the domain.
     */
    readonly domainOwner?: string;
    /**
     * The package origin configuration of the package group.
     */
    readonly originConfiguration?: outputs.codeartifact.PackageGroupOriginConfiguration;
    /**
     * An array of key-value pairs to apply to the package group.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The resource schema to create a CodeArtifact package group.
 */
export declare function getPackageGroupOutput(args: GetPackageGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPackageGroupResult>;
export interface GetPackageGroupOutputArgs {
    /**
     * The ARN of the package group.
     */
    arn: pulumi.Input<string>;
}
