import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::DirectoryService::SimpleAD
 */
export declare function getSimpleAd(args: GetSimpleAdArgs, opts?: pulumi.InvokeOptions): Promise<GetSimpleAdResult>;
export interface GetSimpleAdArgs {
    /**
     * The unique identifier for a directory.
     */
    directoryId: string;
}
export interface GetSimpleAdResult {
    /**
     * The alias for a directory.
     */
    readonly alias?: string;
    /**
     * The unique identifier for a directory.
     */
    readonly directoryId?: string;
    /**
     * The IP addresses of the DNS servers for the directory, such as [ "172.31.3.154", "172.31.63.203" ].
     */
    readonly dnsIpAddresses?: string[];
    /**
     * Whether to enable single sign-on for a Simple Active Directory in AWS.
     */
    readonly enableSso?: boolean;
}
/**
 * Resource Type definition for AWS::DirectoryService::SimpleAD
 */
export declare function getSimpleAdOutput(args: GetSimpleAdOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSimpleAdResult>;
export interface GetSimpleAdOutputArgs {
    /**
     * The unique identifier for a directory.
     */
    directoryId: pulumi.Input<string>;
}
