import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::EC2::TrafficMirrorFilter
 */
export declare function getTrafficMirrorFilter(args: GetTrafficMirrorFilterArgs, opts?: pulumi.InvokeOptions): Promise<GetTrafficMirrorFilterResult>;
export interface GetTrafficMirrorFilterArgs {
    /**
     * The ID of a traffic mirror filter.
     */
    id: string;
}
export interface GetTrafficMirrorFilterResult {
    /**
     * The ID of a traffic mirror filter.
     */
    readonly id?: string;
    /**
     * The network service that is associated with the traffic mirror filter.
     */
    readonly networkServices?: enums.ec2.TrafficMirrorFilterTrafficMirrorNetworkService[];
    /**
     * The tags for a traffic mirror filter.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::EC2::TrafficMirrorFilter
 */
export declare function getTrafficMirrorFilterOutput(args: GetTrafficMirrorFilterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrafficMirrorFilterResult>;
export interface GetTrafficMirrorFilterOutputArgs {
    /**
     * The ID of a traffic mirror filter.
     */
    id: pulumi.Input<string>;
}
