"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Environment = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * An environment created within the EVS service
 */
class Environment extends pulumi.CustomResource {
    /**
     * Get an existing Environment resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Environment(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Environment.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Environment.__pulumiType;
    }
    /**
     * Create a Environment resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.connectivityInfo === undefined) && !opts.urn) {
                throw new Error("Missing required property 'connectivityInfo'");
            }
            if ((!args || args.licenseInfo === undefined) && !opts.urn) {
                throw new Error("Missing required property 'licenseInfo'");
            }
            if ((!args || args.serviceAccessSubnetId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'serviceAccessSubnetId'");
            }
            if ((!args || args.siteId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'siteId'");
            }
            if ((!args || args.termsAccepted === undefined) && !opts.urn) {
                throw new Error("Missing required property 'termsAccepted'");
            }
            if ((!args || args.vcfHostnames === undefined) && !opts.urn) {
                throw new Error("Missing required property 'vcfHostnames'");
            }
            if ((!args || args.vcfVersion === undefined) && !opts.urn) {
                throw new Error("Missing required property 'vcfVersion'");
            }
            if ((!args || args.vpcId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'vpcId'");
            }
            resourceInputs["connectivityInfo"] = args ? args.connectivityInfo : undefined;
            resourceInputs["environmentName"] = args ? args.environmentName : undefined;
            resourceInputs["hosts"] = args ? args.hosts : undefined;
            resourceInputs["initialVlans"] = args ? args.initialVlans : undefined;
            resourceInputs["kmsKeyId"] = args ? args.kmsKeyId : undefined;
            resourceInputs["licenseInfo"] = args ? args.licenseInfo : undefined;
            resourceInputs["serviceAccessSecurityGroups"] = args ? args.serviceAccessSecurityGroups : undefined;
            resourceInputs["serviceAccessSubnetId"] = args ? args.serviceAccessSubnetId : undefined;
            resourceInputs["siteId"] = args ? args.siteId : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["termsAccepted"] = args ? args.termsAccepted : undefined;
            resourceInputs["vcfHostnames"] = args ? args.vcfHostnames : undefined;
            resourceInputs["vcfVersion"] = args ? args.vcfVersion : undefined;
            resourceInputs["vpcId"] = args ? args.vpcId : undefined;
            resourceInputs["checks"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["credentials"] = undefined /*out*/;
            resourceInputs["environmentArn"] = undefined /*out*/;
            resourceInputs["environmentId"] = undefined /*out*/;
            resourceInputs["environmentState"] = undefined /*out*/;
            resourceInputs["modifiedAt"] = undefined /*out*/;
            resourceInputs["stateDetails"] = undefined /*out*/;
        }
        else {
            resourceInputs["checks"] = undefined /*out*/;
            resourceInputs["connectivityInfo"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["credentials"] = undefined /*out*/;
            resourceInputs["environmentArn"] = undefined /*out*/;
            resourceInputs["environmentId"] = undefined /*out*/;
            resourceInputs["environmentName"] = undefined /*out*/;
            resourceInputs["environmentState"] = undefined /*out*/;
            resourceInputs["hosts"] = undefined /*out*/;
            resourceInputs["initialVlans"] = undefined /*out*/;
            resourceInputs["kmsKeyId"] = undefined /*out*/;
            resourceInputs["licenseInfo"] = undefined /*out*/;
            resourceInputs["modifiedAt"] = undefined /*out*/;
            resourceInputs["serviceAccessSecurityGroups"] = undefined /*out*/;
            resourceInputs["serviceAccessSubnetId"] = undefined /*out*/;
            resourceInputs["siteId"] = undefined /*out*/;
            resourceInputs["stateDetails"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["termsAccepted"] = undefined /*out*/;
            resourceInputs["vcfHostnames"] = undefined /*out*/;
            resourceInputs["vcfVersion"] = undefined /*out*/;
            resourceInputs["vpcId"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["connectivityInfo", "environmentName", "kmsKeyId", "licenseInfo", "serviceAccessSecurityGroups", "serviceAccessSubnetId", "siteId", "termsAccepted", "vcfHostnames", "vcfVersion", "vpcId"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Environment.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Environment = Environment;
/** @internal */
Environment.__pulumiType = 'aws-native:evs:Environment';
//# sourceMappingURL=environment.js.map