import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An label for fraud detector.
 */
export declare function getLabel(args: GetLabelArgs, opts?: pulumi.InvokeOptions): Promise<GetLabelResult>;
export interface GetLabelArgs {
    /**
     * The label ARN.
     */
    arn: string;
}
export interface GetLabelResult {
    /**
     * The label ARN.
     */
    readonly arn?: string;
    /**
     * The timestamp when the label was created.
     */
    readonly createdTime?: string;
    /**
     * The label description.
     */
    readonly description?: string;
    /**
     * The timestamp when the label was last updated.
     */
    readonly lastUpdatedTime?: string;
    /**
     * Tags associated with this label.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * An label for fraud detector.
 */
export declare function getLabelOutput(args: GetLabelOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLabelResult>;
export interface GetLabelOutputArgs {
    /**
     * The label ARN.
     */
    arn: pulumi.Input<string>;
}
