import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::GameLift::Location resource creates an Amazon GameLift (GameLift) custom location.
 */
export declare function getLocation(args: GetLocationArgs, opts?: pulumi.InvokeOptions): Promise<GetLocationResult>;
export interface GetLocationArgs {
    /**
     * A descriptive name for the custom location.
     */
    locationName: string;
}
export interface GetLocationResult {
    /**
     * A unique identifier for the custom location. For example, `arn:aws:gamelift:[region]::location/location-a1234567-b8c9-0d1e-2fa3-b45c6d7e8912` .
     */
    readonly locationArn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::GameLift::Location resource creates an Amazon GameLift (GameLift) custom location.
 */
export declare function getLocationOutput(args: GetLocationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocationResult>;
export interface GetLocationOutputArgs {
    /**
     * A descriptive name for the custom location.
     */
    locationName: pulumi.Input<string>;
}
