import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::GlobalAccelerator::Listener
 */
export declare function getListener(args: GetListenerArgs, opts?: pulumi.InvokeOptions): Promise<GetListenerResult>;
export interface GetListenerArgs {
    /**
     * The Amazon Resource Name (ARN) of the listener.
     */
    listenerArn: string;
}
export interface GetListenerResult {
    /**
     * Client affinity lets you direct all requests from a user to the same endpoint.
     */
    readonly clientAffinity?: enums.globalaccelerator.ListenerClientAffinity;
    /**
     * The Amazon Resource Name (ARN) of the listener.
     */
    readonly listenerArn?: string;
    /**
     * The list of port ranges for the connections from clients to the accelerator.
     */
    readonly portRanges?: outputs.globalaccelerator.ListenerPortRange[];
    /**
     * The protocol for the listener.
     */
    readonly protocol?: enums.globalaccelerator.ListenerProtocol;
}
/**
 * Resource Type definition for AWS::GlobalAccelerator::Listener
 */
export declare function getListenerOutput(args: GetListenerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetListenerResult>;
export interface GetListenerOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the listener.
     */
    listenerArn: pulumi.Input<string>;
}
