import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type Definition for AWS:IdentityStore::GroupMembership
 */
export declare function getGroupMembership(args: GetGroupMembershipArgs, opts?: pulumi.InvokeOptions): Promise<GetGroupMembershipResult>;
export interface GetGroupMembershipArgs {
    /**
     * The globally unique identifier for the identity store.
     */
    identityStoreId: string;
    /**
     * The identifier for a GroupMembership in the identity store.
     */
    membershipId: string;
}
export interface GetGroupMembershipResult {
    /**
     * The identifier for a GroupMembership in the identity store.
     */
    readonly membershipId?: string;
}
/**
 * Resource Type Definition for AWS:IdentityStore::GroupMembership
 */
export declare function getGroupMembershipOutput(args: GetGroupMembershipOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGroupMembershipResult>;
export interface GetGroupMembershipOutputArgs {
    /**
     * The globally unique identifier for the identity store.
     */
    identityStoreId: pulumi.Input<string>;
    /**
     * The identifier for a GroupMembership in the identity store.
     */
    membershipId: pulumi.Input<string>;
}
