import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Inspector Filter resource schema
 */
export declare function getFilter(args: GetFilterArgs, opts?: pulumi.InvokeOptions): Promise<GetFilterResult>;
export interface GetFilterArgs {
    /**
     * Findings filter ARN.
     */
    arn: string;
}
export interface GetFilterResult {
    /**
     * Findings filter ARN.
     */
    readonly arn?: string;
    /**
     * Findings filter description.
     */
    readonly description?: string;
    /**
     * Findings filter action.
     */
    readonly filterAction?: enums.inspectorv2.FilterAction;
    /**
     * Findings filter criteria.
     */
    readonly filterCriteria?: outputs.inspectorv2.FilterCriteria;
    /**
     * Findings filter name.
     */
    readonly name?: string;
    /**
     * The tags attached to the filter.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Inspector Filter resource schema
 */
export declare function getFilterOutput(args: GetFilterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFilterResult>;
export interface GetFilterOutputArgs {
    /**
     * Findings filter ARN.
     */
    arn: pulumi.Input<string>;
}
