import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Kinesis::StreamConsumer
 */
export declare function getStreamConsumer(args: GetStreamConsumerArgs, opts?: pulumi.InvokeOptions): Promise<GetStreamConsumerResult>;
export interface GetStreamConsumerArgs {
    /**
     * The ARN returned by Kinesis Data Streams when you registered the consumer. If you don't know the ARN of the consumer that you want to deregister, you can use the ListStreamConsumers operation to get a list of the descriptions of all the consumers that are currently registered with a given data stream. The description of a consumer contains its ARN.
     */
    consumerArn: string;
}
export interface GetStreamConsumerResult {
    /**
     * The ARN returned by Kinesis Data Streams when you registered the consumer. If you don't know the ARN of the consumer that you want to deregister, you can use the ListStreamConsumers operation to get a list of the descriptions of all the consumers that are currently registered with a given data stream. The description of a consumer contains its ARN.
     */
    readonly consumerArn?: string;
    /**
     * Timestamp when the consumer was created.
     */
    readonly consumerCreationTimestamp?: string;
    /**
     * A consumer can't read data while in the CREATING or DELETING states. Valid Values: CREATING | DELETING | ACTIVE
     */
    readonly consumerStatus?: string;
}
/**
 * Resource Type definition for AWS::Kinesis::StreamConsumer
 */
export declare function getStreamConsumerOutput(args: GetStreamConsumerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStreamConsumerResult>;
export interface GetStreamConsumerOutputArgs {
    /**
     * The ARN returned by Kinesis Data Streams when you registered the consumer. If you don't know the ARN of the consumer that you want to deregister, you can use the ListStreamConsumers operation to get a list of the descriptions of all the consumers that are currently registered with a given data stream. The description of a consumer contains its ARN.
     */
    consumerArn: pulumi.Input<string>;
}
