import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Specifies a transformer on the log group to transform logs into consistent structured and information rich format.
 */
export declare function getTransformer(args: GetTransformerArgs, opts?: pulumi.InvokeOptions): Promise<GetTransformerResult>;
export interface GetTransformerArgs {
    /**
     * Existing log group that you want to associate with this transformer.
     */
    logGroupIdentifier: string;
}
export interface GetTransformerResult {
    /**
     * List of processors in a transformer
     */
    readonly transformerConfig?: outputs.logs.TransformerProcessor[];
}
/**
 * Specifies a transformer on the log group to transform logs into consistent structured and information rich format.
 */
export declare function getTransformerOutput(args: GetTransformerOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransformerResult>;
export interface GetTransformerOutputArgs {
    /**
     * Existing log group that you want to associate with this transformer.
     */
    logGroupIdentifier: pulumi.Input<string>;
}
