import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::MediaLive::EventBridgeRuleTemplateGroup Resource Type
 */
export declare function getEventBridgeRuleTemplateGroup(args: GetEventBridgeRuleTemplateGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetEventBridgeRuleTemplateGroupResult>;
export interface GetEventBridgeRuleTemplateGroupArgs {
    identifier: string;
}
export interface GetEventBridgeRuleTemplateGroupResult {
    /**
     * An eventbridge rule template group's ARN (Amazon Resource Name)
     */
    readonly arn?: string;
    /**
     * The date and time of resource creation.
     */
    readonly createdAt?: string;
    /**
     * A resource's optional description.
     */
    readonly description?: string;
    /**
     * An eventbridge rule template group's id. AWS provided template groups have ids that start with `aws-`
     */
    readonly id?: string;
    readonly identifier?: string;
    /**
     * The date and time of latest resource modification.
     */
    readonly modifiedAt?: string;
}
/**
 * Definition of AWS::MediaLive::EventBridgeRuleTemplateGroup Resource Type
 */
export declare function getEventBridgeRuleTemplateGroupOutput(args: GetEventBridgeRuleTemplateGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEventBridgeRuleTemplateGroupResult>;
export interface GetEventBridgeRuleTemplateGroupOutputArgs {
    identifier: pulumi.Input<string>;
}
