import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::MemoryDB::User
 */
export declare function getUser(args: GetUserArgs, opts?: pulumi.InvokeOptions): Promise<GetUserResult>;
export interface GetUserArgs {
    /**
     * The name of the user.
     */
    userName: string;
}
export interface GetUserResult {
    /**
     * The Amazon Resource Name (ARN) of the user account.
     */
    readonly arn?: string;
    /**
     * Indicates the user status. Can be "active", "modifying" or "deleting".
     */
    readonly status?: string;
    /**
     * An array of key-value pairs to apply to this user.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::MemoryDB::User
 */
export declare function getUserOutput(args: GetUserOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUserResult>;
export interface GetUserOutputArgs {
    /**
     * The name of the user.
     */
    userName: pulumi.Input<string>;
}
