import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::StudioComponent
 */
export declare function getStudioComponent(args: GetStudioComponentArgs, opts?: pulumi.InvokeOptions): Promise<GetStudioComponentResult>;
export interface GetStudioComponentArgs {
    studioComponentId: string;
}
export interface GetStudioComponentResult {
    readonly configuration?: outputs.nimblestudio.StudioComponentConfiguration;
    readonly description?: string;
    readonly ec2SecurityGroupIds?: string[];
    readonly initializationScripts?: outputs.nimblestudio.StudioComponentInitializationScript[];
    readonly name?: string;
    readonly scriptParameters?: outputs.nimblestudio.StudioComponentScriptParameterKeyValue[];
    readonly studioComponentId?: string;
    readonly type?: string;
}
/**
 * Resource Type definition for AWS::NimbleStudio::StudioComponent
 */
export declare function getStudioComponentOutput(args: GetStudioComponentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStudioComponentResult>;
export interface GetStudioComponentOutputArgs {
    studioComponentId: pulumi.Input<string>;
}
