import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::ODB::OdbNetwork resource creates an ODB Network
 */
export declare function getOdbNetwork(args: GetOdbNetworkArgs, opts?: pulumi.InvokeOptions): Promise<GetOdbNetworkResult>;
export interface GetOdbNetworkArgs {
    /**
     * The Amazon Resource Name (ARN) of the ODB network.
     */
    odbNetworkArn: string;
}
export interface GetOdbNetworkResult {
    /**
     * The unique identifier of the OCI network anchor for the ODB network.
     */
    readonly ociNetworkAnchorId?: string;
    /**
     * The name of the OCI resource anchor that's associated with the ODB network.
     */
    readonly ociResourceAnchorName?: string;
    /**
     * The URL for the VCN that's associated with the ODB network.
     */
    readonly ociVcnUrl?: string;
    /**
     * The Amazon Resource Name (ARN) of the ODB network.
     */
    readonly odbNetworkArn?: string;
    /**
     * The unique identifier of the ODB network.
     */
    readonly odbNetworkId?: string;
    /**
     * Tags to assign to the Odb Network.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::ODB::OdbNetwork resource creates an ODB Network
 */
export declare function getOdbNetworkOutput(args: GetOdbNetworkOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetOdbNetworkResult>;
export interface GetOdbNetworkOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the ODB network.
     */
    odbNetworkArn: pulumi.Input<string>;
}
