import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::Personalize::Dataset.
 */
export declare function getDataset(args: GetDatasetArgs, opts?: pulumi.InvokeOptions): Promise<GetDatasetResult>;
export interface GetDatasetArgs {
    /**
     * The ARN of the dataset
     */
    datasetArn: string;
}
export interface GetDatasetResult {
    /**
     * The ARN of the dataset
     */
    readonly datasetArn?: string;
    /**
     * Describes a job that imports training data from a data source (Amazon S3 bucket) to an Amazon Personalize dataset. If you specify a dataset import job as part of a dataset, all dataset import job fields are required.
     */
    readonly datasetImportJob?: outputs.personalize.DatasetImportJob;
}
/**
 * Resource schema for AWS::Personalize::Dataset.
 */
export declare function getDatasetOutput(args: GetDatasetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDatasetResult>;
export interface GetDatasetOutputArgs {
    /**
     * The ARN of the dataset
     */
    datasetArn: pulumi.Input<string>;
}
