import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * AWS Route53 Recovery Control Routing Control resource schema .
 */
export declare function getRoutingControl(args: GetRoutingControlArgs, opts?: pulumi.InvokeOptions): Promise<GetRoutingControlResult>;
export interface GetRoutingControlArgs {
    /**
     * The Amazon Resource Name (ARN) of the routing control.
     */
    routingControlArn: string;
}
export interface GetRoutingControlResult {
    /**
     * The name of the routing control. You can use any non-white space character in the name.
     */
    readonly name?: string;
    /**
     * The Amazon Resource Name (ARN) of the routing control.
     */
    readonly routingControlArn?: string;
    /**
     * The deployment status of the routing control. Status can be one of the following: PENDING, DEPLOYED, PENDING_DELETION.
     */
    readonly status?: enums.route53recoverycontrol.RoutingControlStatus;
}
/**
 * AWS Route53 Recovery Control Routing Control resource schema .
 */
export declare function getRoutingControlOutput(args: GetRoutingControlOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRoutingControlResult>;
export interface GetRoutingControlOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the routing control.
     */
    routingControlArn: pulumi.Input<string>;
}
