import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::S3Tables::Table
 */
export declare function getTable(args: GetTableArgs, opts?: pulumi.InvokeOptions): Promise<GetTableResult>;
export interface GetTableArgs {
    /**
     * The Amazon Resource Name (ARN) of the table.
     */
    tableArn: string;
}
export interface GetTableResult {
    readonly compaction?: outputs.s3tables.TableCompaction;
    /**
     * The name of the namespace.
     */
    readonly namespace?: string;
    readonly snapshotManagement?: outputs.s3tables.TableSnapshotManagement;
    /**
     * The Amazon Resource Name (ARN) of the table.
     */
    readonly tableArn?: string;
    readonly tableName?: string;
    readonly versionToken?: string;
    readonly warehouseLocation?: string;
}
/**
 * Resource Type definition for AWS::S3Tables::Table
 */
export declare function getTableOutput(args: GetTableOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTableResult>;
export interface GetTableOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the table.
     */
    tableArn: pulumi.Input<string>;
}
