import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::S3Tables::TablePolicy
 */
export declare class TablePolicy extends pulumi.CustomResource {
    /**
     * Get an existing TablePolicy resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): TablePolicy;
    /**
     * Returns true if the given object is an instance of TablePolicy.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is TablePolicy;
    readonly namespace: pulumi.Output<string>;
    readonly resourcePolicy: pulumi.Output<outputs.s3tables.TablePolicyResourcePolicy>;
    readonly tableArn: pulumi.Output<string>;
    readonly tableBucketArn: pulumi.Output<string>;
    readonly tableName: pulumi.Output<string>;
    /**
     * Create a TablePolicy resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: TablePolicyArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a TablePolicy resource.
 */
export interface TablePolicyArgs {
    resourcePolicy: pulumi.Input<inputs.s3tables.TablePolicyResourcePolicyArgs>;
    tableArn: pulumi.Input<string>;
}
