import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SageMaker::ModelQualityJobDefinition
 */
export declare function getModelQualityJobDefinition(args: GetModelQualityJobDefinitionArgs, opts?: pulumi.InvokeOptions): Promise<GetModelQualityJobDefinitionResult>;
export interface GetModelQualityJobDefinitionArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: string;
}
export interface GetModelQualityJobDefinitionResult {
    /**
     * The time at which the job definition was created.
     */
    readonly creationTime?: string;
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    readonly jobDefinitionArn?: string;
}
/**
 * Resource Type definition for AWS::SageMaker::ModelQualityJobDefinition
 */
export declare function getModelQualityJobDefinitionOutput(args: GetModelQualityJobDefinitionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetModelQualityJobDefinitionResult>;
export interface GetModelQualityJobDefinitionOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of job definition.
     */
    jobDefinitionArn: pulumi.Input<string>;
}
