import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SES::ConfigurationSetEventDestination
 */
export declare class ConfigurationSetEventDestination extends pulumi.CustomResource {
    /**
     * Get an existing ConfigurationSetEventDestination resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): ConfigurationSetEventDestination;
    /**
     * Returns true if the given object is an instance of ConfigurationSetEventDestination.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ConfigurationSetEventDestination;
    readonly awsId: pulumi.Output<string>;
    /**
     * The name of the configuration set that contains the event destination.
     */
    readonly configurationSetName: pulumi.Output<string>;
    /**
     * The event destination object.
     */
    readonly eventDestination: pulumi.Output<outputs.ses.ConfigurationSetEventDestinationEventDestination>;
    /**
     * Create a ConfigurationSetEventDestination resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ConfigurationSetEventDestinationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a ConfigurationSetEventDestination resource.
 */
export interface ConfigurationSetEventDestinationArgs {
    /**
     * The name of the configuration set that contains the event destination.
     */
    configurationSetName: pulumi.Input<string>;
    /**
     * The event destination object.
     */
    eventDestination: pulumi.Input<inputs.ses.ConfigurationSetEventDestinationEventDestinationArgs>;
}
