import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SES::DedicatedIpPool
 */
export declare function getDedicatedIpPool(args: GetDedicatedIpPoolArgs, opts?: pulumi.InvokeOptions): Promise<GetDedicatedIpPoolResult>;
export interface GetDedicatedIpPoolArgs {
    /**
     * The name of the dedicated IP pool.
     */
    poolName: string;
}
export interface GetDedicatedIpPoolResult {
    /**
     * Specifies whether the dedicated IP pool is managed or not. The default value is STANDARD.
     */
    readonly scalingMode?: string;
}
/**
 * Resource Type definition for AWS::SES::DedicatedIpPool
 */
export declare function getDedicatedIpPoolOutput(args: GetDedicatedIpPoolOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDedicatedIpPoolResult>;
export interface GetDedicatedIpPoolOutputArgs {
    /**
     * The name of the dedicated IP pool.
     */
    poolName: pulumi.Input<string>;
}
