export declare const ContinuousDeploymentPolicyConfigType: {
    readonly SingleWeight: "SingleWeight";
    readonly SingleHeader: "SingleHeader";
};
/**
 * The type of traffic configuration.
 */
export type ContinuousDeploymentPolicyConfigType = (typeof ContinuousDeploymentPolicyConfigType)[keyof typeof ContinuousDeploymentPolicyConfigType];
export declare const ContinuousDeploymentPolicyTrafficConfigType: {
    readonly SingleWeight: "SingleWeight";
    readonly SingleHeader: "SingleHeader";
};
/**
 * The type of traffic configuration.
 */
export type ContinuousDeploymentPolicyTrafficConfigType = (typeof ContinuousDeploymentPolicyTrafficConfigType)[keyof typeof ContinuousDeploymentPolicyTrafficConfigType];
export declare const DistributionConnectionMode: {
    readonly Direct: "direct";
    readonly TenantOnly: "tenant-only";
};
export type DistributionConnectionMode = (typeof DistributionConnectionMode)[keyof typeof DistributionConnectionMode];
export declare const DistributionOriginGroupSelectionCriteria: {
    readonly Default: "default";
    readonly MediaQualityBased: "media-quality-based";
};
export type DistributionOriginGroupSelectionCriteria = (typeof DistributionOriginGroupSelectionCriteria)[keyof typeof DistributionOriginGroupSelectionCriteria];
export declare const DistributionTenantDomainResultStatus: {
    readonly Active: "active";
    readonly Inactive: "inactive";
};
/**
 * Whether the domain is active or inactive.
 */
export type DistributionTenantDomainResultStatus = (typeof DistributionTenantDomainResultStatus)[keyof typeof DistributionTenantDomainResultStatus];
export declare const DistributionTenantGeoRestrictionCustomizationRestrictionType: {
    readonly Blacklist: "blacklist";
    readonly Whitelist: "whitelist";
    readonly None: "none";
};
/**
 * The method that you want to use to restrict distribution of your content by country:
 *   +  ``none``: No geographic restriction is enabled, meaning access to content is not restricted by client geo location.
 *   +  ``blacklist``: The ``Location`` elements specify the countries in which you don't want CloudFront to distribute your content.
 *   +  ``whitelist``: The ``Location`` elements specify the countries in which you want CloudFront to distribute your content.
 */
export type DistributionTenantGeoRestrictionCustomizationRestrictionType = (typeof DistributionTenantGeoRestrictionCustomizationRestrictionType)[keyof typeof DistributionTenantGeoRestrictionCustomizationRestrictionType];
export declare const DistributionTenantManagedCertificateRequestCertificateTransparencyLoggingPreference: {
    readonly Enabled: "enabled";
    readonly Disabled: "disabled";
};
/**
 * You can opt out of certificate transparency logging by specifying the ``disabled`` option. Opt in by specifying ``enabled``. For more information, see [Certificate Transparency Logging](https://docs.aws.amazon.com/acm/latest/userguide/acm-concepts.html#concept-transparency) in the *User Guide*.
 */
export type DistributionTenantManagedCertificateRequestCertificateTransparencyLoggingPreference = (typeof DistributionTenantManagedCertificateRequestCertificateTransparencyLoggingPreference)[keyof typeof DistributionTenantManagedCertificateRequestCertificateTransparencyLoggingPreference];
export declare const DistributionTenantManagedCertificateRequestValidationTokenHost: {
    readonly Cloudfront: "cloudfront";
    readonly SelfHosted: "self-hosted";
};
/**
 * Specify how the HTTP validation token will be served when requesting the CloudFront managed ACM certificate.
 *   +  For ``cloudfront``, CloudFront will automatically serve the validation token. Choose this mode if you can point the domain's DNS to CloudFront immediately.
 *   +  For ``self-hosted``, you serve the validation token from your existing infrastructure. Choose this mode when you need to maintain current traffic flow while your certificate is being issued. You can place the validation token at the well-known path on your existing web server, wait for ACM to validate and issue the certificate, and then update your DNS to point to CloudFront.
 */
export type DistributionTenantManagedCertificateRequestValidationTokenHost = (typeof DistributionTenantManagedCertificateRequestValidationTokenHost)[keyof typeof DistributionTenantManagedCertificateRequestValidationTokenHost];
export declare const DistributionTenantWebAclCustomizationAction: {
    readonly Override: "override";
    readonly Disable: "disable";
};
/**
 * The action for the WAF web ACL customization. You can specify ``override`` to specify a separate WAF web ACL for the distribution tenant. If you specify ``disable``, the distribution tenant won't have WAF web ACL protections and won't inherit from the multi-tenant distribution.
 */
export type DistributionTenantWebAclCustomizationAction = (typeof DistributionTenantWebAclCustomizationAction)[keyof typeof DistributionTenantWebAclCustomizationAction];
export declare const MonitoringSubscriptionRealtimeMetricsSubscriptionConfigRealtimeMetricsSubscriptionStatus: {
    readonly Enabled: "Enabled";
    readonly Disabled: "Disabled";
};
/**
 * A flag that indicates whether additional CloudWatch metrics are enabled for a given CloudFront distribution.
 */
export type MonitoringSubscriptionRealtimeMetricsSubscriptionConfigRealtimeMetricsSubscriptionStatus = (typeof MonitoringSubscriptionRealtimeMetricsSubscriptionConfigRealtimeMetricsSubscriptionStatus)[keyof typeof MonitoringSubscriptionRealtimeMetricsSubscriptionConfigRealtimeMetricsSubscriptionStatus];
