export declare const DevicePoolRuleAttribute: {
    readonly Arn: "ARN";
    readonly Platform: "PLATFORM";
    readonly FormFactor: "FORM_FACTOR";
    readonly Manufacturer: "MANUFACTURER";
    readonly RemoteAccessEnabled: "REMOTE_ACCESS_ENABLED";
    readonly RemoteDebugEnabled: "REMOTE_DEBUG_ENABLED";
    readonly AppiumVersion: "APPIUM_VERSION";
    readonly InstanceArn: "INSTANCE_ARN";
    readonly InstanceLabels: "INSTANCE_LABELS";
    readonly FleetType: "FLEET_TYPE";
    readonly OsVersion: "OS_VERSION";
    readonly Model: "MODEL";
    readonly Availability: "AVAILABILITY";
};
/**
 * The rule's stringified attribute.
 */
export type DevicePoolRuleAttribute = (typeof DevicePoolRuleAttribute)[keyof typeof DevicePoolRuleAttribute];
export declare const DevicePoolRuleOperator: {
    readonly Equals: "EQUALS";
    readonly LessThan: "LESS_THAN";
    readonly LessThanOrEquals: "LESS_THAN_OR_EQUALS";
    readonly GreaterThan: "GREATER_THAN";
    readonly GreaterThanOrEquals: "GREATER_THAN_OR_EQUALS";
    readonly In: "IN";
    readonly NotIn: "NOT_IN";
    readonly Contains: "CONTAINS";
};
/**
 * Specifies how Device Farm compares the rule's attribute to the value.
 */
export type DevicePoolRuleOperator = (typeof DevicePoolRuleOperator)[keyof typeof DevicePoolRuleOperator];
