export declare const DataSourceConditionOperator: {
    readonly GreaterThan: "GreaterThan";
    readonly GreaterThanOrEquals: "GreaterThanOrEquals";
    readonly LessThan: "LessThan";
    readonly LessThanOrEquals: "LessThanOrEquals";
    readonly Equals: "Equals";
    readonly NotEquals: "NotEquals";
    readonly Contains: "Contains";
    readonly NotContains: "NotContains";
    readonly Exists: "Exists";
    readonly NotExists: "NotExists";
    readonly BeginsWith: "BeginsWith";
};
export type DataSourceConditionOperator = (typeof DataSourceConditionOperator)[keyof typeof DataSourceConditionOperator];
export declare const DataSourceConfluenceAttachmentFieldName: {
    readonly Author: "AUTHOR";
    readonly ContentType: "CONTENT_TYPE";
    readonly CreatedDate: "CREATED_DATE";
    readonly DisplayUrl: "DISPLAY_URL";
    readonly FileSize: "FILE_SIZE";
    readonly ItemType: "ITEM_TYPE";
    readonly ParentId: "PARENT_ID";
    readonly SpaceKey: "SPACE_KEY";
    readonly SpaceName: "SPACE_NAME";
    readonly Url: "URL";
    readonly Version: "VERSION";
};
export type DataSourceConfluenceAttachmentFieldName = (typeof DataSourceConfluenceAttachmentFieldName)[keyof typeof DataSourceConfluenceAttachmentFieldName];
export declare const DataSourceConfluenceBlogFieldName: {
    readonly Author: "AUTHOR";
    readonly DisplayUrl: "DISPLAY_URL";
    readonly ItemType: "ITEM_TYPE";
    readonly Labels: "LABELS";
    readonly PublishDate: "PUBLISH_DATE";
    readonly SpaceKey: "SPACE_KEY";
    readonly SpaceName: "SPACE_NAME";
    readonly Url: "URL";
    readonly Version: "VERSION";
};
export type DataSourceConfluenceBlogFieldName = (typeof DataSourceConfluenceBlogFieldName)[keyof typeof DataSourceConfluenceBlogFieldName];
export declare const DataSourceConfluencePageFieldName: {
    readonly Author: "AUTHOR";
    readonly ContentStatus: "CONTENT_STATUS";
    readonly CreatedDate: "CREATED_DATE";
    readonly DisplayUrl: "DISPLAY_URL";
    readonly ItemType: "ITEM_TYPE";
    readonly Labels: "LABELS";
    readonly ModifiedDate: "MODIFIED_DATE";
    readonly ParentId: "PARENT_ID";
    readonly SpaceKey: "SPACE_KEY";
    readonly SpaceName: "SPACE_NAME";
    readonly Url: "URL";
    readonly Version: "VERSION";
};
export type DataSourceConfluencePageFieldName = (typeof DataSourceConfluencePageFieldName)[keyof typeof DataSourceConfluencePageFieldName];
export declare const DataSourceConfluenceSpaceFieldName: {
    readonly DisplayUrl: "DISPLAY_URL";
    readonly ItemType: "ITEM_TYPE";
    readonly SpaceKey: "SPACE_KEY";
    readonly Url: "URL";
};
export type DataSourceConfluenceSpaceFieldName = (typeof DataSourceConfluenceSpaceFieldName)[keyof typeof DataSourceConfluenceSpaceFieldName];
export declare const DataSourceConfluenceVersion: {
    readonly Cloud: "CLOUD";
    readonly Server: "SERVER";
};
export type DataSourceConfluenceVersion = (typeof DataSourceConfluenceVersion)[keyof typeof DataSourceConfluenceVersion];
export declare const DataSourceDatabaseEngineType: {
    readonly RdsAuroraMysql: "RDS_AURORA_MYSQL";
    readonly RdsAuroraPostgresql: "RDS_AURORA_POSTGRESQL";
    readonly RdsMysql: "RDS_MYSQL";
    readonly RdsPostgresql: "RDS_POSTGRESQL";
};
export type DataSourceDatabaseEngineType = (typeof DataSourceDatabaseEngineType)[keyof typeof DataSourceDatabaseEngineType];
export declare const DataSourceQueryIdentifiersEnclosingOption: {
    readonly DoubleQuotes: "DOUBLE_QUOTES";
    readonly None: "NONE";
};
export type DataSourceQueryIdentifiersEnclosingOption = (typeof DataSourceQueryIdentifiersEnclosingOption)[keyof typeof DataSourceQueryIdentifiersEnclosingOption];
export declare const DataSourceSalesforceChatterFeedIncludeFilterType: {
    readonly ActiveUser: "ACTIVE_USER";
    readonly StandardUser: "STANDARD_USER";
};
export type DataSourceSalesforceChatterFeedIncludeFilterType = (typeof DataSourceSalesforceChatterFeedIncludeFilterType)[keyof typeof DataSourceSalesforceChatterFeedIncludeFilterType];
export declare const DataSourceSalesforceKnowledgeArticleState: {
    readonly Draft: "DRAFT";
    readonly Published: "PUBLISHED";
    readonly Archived: "ARCHIVED";
};
export type DataSourceSalesforceKnowledgeArticleState = (typeof DataSourceSalesforceKnowledgeArticleState)[keyof typeof DataSourceSalesforceKnowledgeArticleState];
export declare const DataSourceSalesforceStandardObjectName: {
    readonly Account: "ACCOUNT";
    readonly Campaign: "CAMPAIGN";
    readonly Case: "CASE";
    readonly Contact: "CONTACT";
    readonly Contract: "CONTRACT";
    readonly Document: "DOCUMENT";
    readonly Group: "GROUP";
    readonly Idea: "IDEA";
    readonly Lead: "LEAD";
    readonly Opportunity: "OPPORTUNITY";
    readonly Partner: "PARTNER";
    readonly Pricebook: "PRICEBOOK";
    readonly Product: "PRODUCT";
    readonly Profile: "PROFILE";
    readonly Solution: "SOLUTION";
    readonly Task: "TASK";
    readonly User: "USER";
};
export type DataSourceSalesforceStandardObjectName = (typeof DataSourceSalesforceStandardObjectName)[keyof typeof DataSourceSalesforceStandardObjectName];
export declare const DataSourceServiceNowAuthenticationType: {
    readonly HttpBasic: "HTTP_BASIC";
    readonly Oauth2: "OAUTH2";
};
export type DataSourceServiceNowAuthenticationType = (typeof DataSourceServiceNowAuthenticationType)[keyof typeof DataSourceServiceNowAuthenticationType];
export declare const DataSourceServiceNowBuildVersionType: {
    readonly London: "LONDON";
    readonly Others: "OTHERS";
};
export type DataSourceServiceNowBuildVersionType = (typeof DataSourceServiceNowBuildVersionType)[keyof typeof DataSourceServiceNowBuildVersionType];
export declare const DataSourceSharePointConfigurationSharePointVersion: {
    readonly SharepointOnline: "SHAREPOINT_ONLINE";
    readonly Sharepoint2013: "SHAREPOINT_2013";
    readonly Sharepoint2016: "SHAREPOINT_2016";
};
/**
 * The version of Microsoft SharePoint that you use.
 */
export type DataSourceSharePointConfigurationSharePointVersion = (typeof DataSourceSharePointConfigurationSharePointVersion)[keyof typeof DataSourceSharePointConfigurationSharePointVersion];
export declare const DataSourceType: {
    readonly S3: "S3";
    readonly Sharepoint: "SHAREPOINT";
    readonly Salesforce: "SALESFORCE";
    readonly Onedrive: "ONEDRIVE";
    readonly Servicenow: "SERVICENOW";
    readonly Database: "DATABASE";
    readonly Custom: "CUSTOM";
    readonly Confluence: "CONFLUENCE";
    readonly Googledrive: "GOOGLEDRIVE";
    readonly Webcrawler: "WEBCRAWLER";
    readonly Workdocs: "WORKDOCS";
    readonly Template: "TEMPLATE";
};
/**
 * Data source type
 */
export type DataSourceType = (typeof DataSourceType)[keyof typeof DataSourceType];
export declare const DataSourceWebCrawlerSeedUrlConfigurationWebCrawlerMode: {
    readonly HostOnly: "HOST_ONLY";
    readonly Subdomains: "SUBDOMAINS";
    readonly Everything: "EVERYTHING";
};
/**
 * You can choose one of the following modes:
 *
 * - `HOST_ONLY` —crawl only the website host names. For example, if the seed URL is "abc.example.com", then only URLs with host name "abc.example.com" are crawled.
 * - `SUBDOMAINS` —crawl the website host names with subdomains. For example, if the seed URL is "abc.example.com", then "a.abc.example.com" and "b.abc.example.com" are also crawled.
 * - `EVERYTHING` —crawl the website host names with subdomains and other domains that the web pages link to.
 *
 * The default mode is set to `HOST_ONLY` .
 */
export type DataSourceWebCrawlerSeedUrlConfigurationWebCrawlerMode = (typeof DataSourceWebCrawlerSeedUrlConfigurationWebCrawlerMode)[keyof typeof DataSourceWebCrawlerSeedUrlConfigurationWebCrawlerMode];
export declare const FaqFileFormat: {
    readonly Csv: "CSV";
    readonly CsvWithHeader: "CSV_WITH_HEADER";
    readonly Json: "JSON";
};
/**
 * Format of the input file
 */
export type FaqFileFormat = (typeof FaqFileFormat)[keyof typeof FaqFileFormat];
export declare const IndexDocumentAttributeValueType: {
    readonly StringValue: "STRING_VALUE";
    readonly StringListValue: "STRING_LIST_VALUE";
    readonly LongValue: "LONG_VALUE";
    readonly DateValue: "DATE_VALUE";
};
export type IndexDocumentAttributeValueType = (typeof IndexDocumentAttributeValueType)[keyof typeof IndexDocumentAttributeValueType];
export declare const IndexEdition: {
    readonly DeveloperEdition: "DEVELOPER_EDITION";
    readonly EnterpriseEdition: "ENTERPRISE_EDITION";
    readonly GenAiEnterpriseEdition: "GEN_AI_ENTERPRISE_EDITION";
};
/**
 * Edition of index
 */
export type IndexEdition = (typeof IndexEdition)[keyof typeof IndexEdition];
export declare const IndexKeyLocation: {
    readonly Url: "URL";
    readonly SecretManager: "SECRET_MANAGER";
};
export type IndexKeyLocation = (typeof IndexKeyLocation)[keyof typeof IndexKeyLocation];
export declare const IndexOrder: {
    readonly Ascending: "ASCENDING";
    readonly Descending: "DESCENDING";
};
export type IndexOrder = (typeof IndexOrder)[keyof typeof IndexOrder];
export declare const IndexUserContextPolicy: {
    readonly AttributeFilter: "ATTRIBUTE_FILTER";
    readonly UserToken: "USER_TOKEN";
};
export type IndexUserContextPolicy = (typeof IndexUserContextPolicy)[keyof typeof IndexUserContextPolicy];
