export declare const GroupResourceQueryType: {
    readonly TagFilters10: "TAG_FILTERS_1_0";
    readonly CloudformationStack10: "CLOUDFORMATION_STACK_1_0";
};
/**
 * Specifies the type of resource query that determines this group's membership. There are two valid query types:
 *
 * - `TAG_FILTERS_1_0` indicates that the group is a tag-based group. To complete the group membership, you must include the `TagFilters` property to specify the tag filters to use in the query.
 * - `CLOUDFORMATION_STACK_1_0` , the default, indicates that the group is a CloudFormation stack-based group. Group membership is based on the CloudFormation stack. You must specify the `StackIdentifier` property in the query to define which stack to associate the group with, or leave it empty to default to the stack where the group is defined.
 */
export type GroupResourceQueryType = (typeof GroupResourceQueryType)[keyof typeof GroupResourceQueryType];
export declare const TagSyncTaskStatus: {
    readonly Active: "ACTIVE";
    readonly Error: "ERROR";
};
/**
 * The status of the TagSyncTask
 */
export type TagSyncTaskStatus = (typeof TagSyncTaskStatus)[keyof typeof TagSyncTaskStatus];
