export declare const TableBucketEncryptionConfigurationSseAlgorithm: {
    readonly Aes256: "AES256";
    readonly Awskms: "aws:kms";
};
/**
 * Server-side encryption algorithm
 */
export type TableBucketEncryptionConfigurationSseAlgorithm = (typeof TableBucketEncryptionConfigurationSseAlgorithm)[keyof typeof TableBucketEncryptionConfigurationSseAlgorithm];
export declare const TableBucketUnreferencedFileRemovalStatus: {
    readonly Enabled: "Enabled";
    readonly Disabled: "Disabled";
};
/**
 * Indicates whether the Unreferenced File Removal maintenance action is enabled.
 */
export type TableBucketUnreferencedFileRemovalStatus = (typeof TableBucketUnreferencedFileRemovalStatus)[keyof typeof TableBucketUnreferencedFileRemovalStatus];
export declare const TableCompactionStatus: {
    readonly Enabled: "enabled";
    readonly Disabled: "disabled";
};
/**
 * Indicates whether the Compaction maintenance action is enabled.
 */
export type TableCompactionStatus = (typeof TableCompactionStatus)[keyof typeof TableCompactionStatus];
export declare const TableOpenTableFormat: {
    readonly Iceberg: "ICEBERG";
};
/**
 * Format of the table.
 */
export type TableOpenTableFormat = (typeof TableOpenTableFormat)[keyof typeof TableOpenTableFormat];
export declare const TableSnapshotManagementStatus: {
    readonly Enabled: "enabled";
    readonly Disabled: "disabled";
};
/**
 * Indicates whether the SnapshotManagement maintenance action is enabled.
 */
export type TableSnapshotManagementStatus = (typeof TableSnapshotManagementStatus)[keyof typeof TableSnapshotManagementStatus];
export declare const TableWithoutMetadata: {
    readonly Yes: "Yes";
};
/**
 * Indicates that you don't want to specify a schema for the table. This property is mutually exclusive to 'IcebergMetadata', and its only possible value is 'Yes'.
 */
export type TableWithoutMetadata = (typeof TableWithoutMetadata)[keyof typeof TableWithoutMetadata];
