export declare const ApplicationAssignmentPrincipalType: {
    readonly User: "USER";
    readonly Group: "GROUP";
};
/**
 * The entity type for which the assignment will be created.
 */
export type ApplicationAssignmentPrincipalType = (typeof ApplicationAssignmentPrincipalType)[keyof typeof ApplicationAssignmentPrincipalType];
export declare const ApplicationPortalOptionsConfigurationVisibility: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * Indicates whether this application is visible in the access portal
 */
export type ApplicationPortalOptionsConfigurationVisibility = (typeof ApplicationPortalOptionsConfigurationVisibility)[keyof typeof ApplicationPortalOptionsConfigurationVisibility];
export declare const ApplicationSignInOptionsOrigin: {
    readonly IdentityCenter: "IDENTITY_CENTER";
    readonly Application: "APPLICATION";
};
/**
 * This determines how IAM Identity Center navigates the user to the target application
 */
export type ApplicationSignInOptionsOrigin = (typeof ApplicationSignInOptionsOrigin)[keyof typeof ApplicationSignInOptionsOrigin];
export declare const ApplicationStatus: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * Specifies whether the application is enabled or disabled
 */
export type ApplicationStatus = (typeof ApplicationStatus)[keyof typeof ApplicationStatus];
export declare const AssignmentPrincipalType: {
    readonly User: "USER";
    readonly Group: "GROUP";
};
/**
 * The assignee's type, user/group
 */
export type AssignmentPrincipalType = (typeof AssignmentPrincipalType)[keyof typeof AssignmentPrincipalType];
export declare const AssignmentTargetType: {
    readonly AwsAccount: "AWS_ACCOUNT";
};
/**
 * The type of resource to be provsioned to, only aws account now
 */
export type AssignmentTargetType = (typeof AssignmentTargetType)[keyof typeof AssignmentTargetType];
export declare const InstanceStatus: {
    readonly CreateInProgress: "CREATE_IN_PROGRESS";
    readonly DeleteInProgress: "DELETE_IN_PROGRESS";
    readonly Active: "ACTIVE";
};
/**
 * The status of the Identity Center (SSO) Instance, create_in_progress/delete_in_progress/active
 */
export type InstanceStatus = (typeof InstanceStatus)[keyof typeof InstanceStatus];
