"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Environment = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource type definition for AWS::WorkSpacesThinClient::Environment.
 */
class Environment extends pulumi.CustomResource {
    /**
     * Get an existing Environment resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Environment(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Environment.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Environment.__pulumiType;
    }
    /**
     * Create a Environment resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.desktopArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'desktopArn'");
            }
            resourceInputs["desiredSoftwareSetId"] = args ? args.desiredSoftwareSetId : undefined;
            resourceInputs["desktopArn"] = args ? args.desktopArn : undefined;
            resourceInputs["desktopEndpoint"] = args ? args.desktopEndpoint : undefined;
            resourceInputs["deviceCreationTags"] = args ? args.deviceCreationTags : undefined;
            resourceInputs["kmsKeyArn"] = args ? args.kmsKeyArn : undefined;
            resourceInputs["maintenanceWindow"] = args ? args.maintenanceWindow : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["softwareSetUpdateMode"] = args ? args.softwareSetUpdateMode : undefined;
            resourceInputs["softwareSetUpdateSchedule"] = args ? args.softwareSetUpdateSchedule : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["activationCode"] = undefined /*out*/;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["desktopType"] = undefined /*out*/;
            resourceInputs["pendingSoftwareSetId"] = undefined /*out*/;
            resourceInputs["pendingSoftwareSetVersion"] = undefined /*out*/;
            resourceInputs["registeredDevicesCount"] = undefined /*out*/;
            resourceInputs["softwareSetComplianceStatus"] = undefined /*out*/;
            resourceInputs["updatedAt"] = undefined /*out*/;
        }
        else {
            resourceInputs["activationCode"] = undefined /*out*/;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["createdAt"] = undefined /*out*/;
            resourceInputs["desiredSoftwareSetId"] = undefined /*out*/;
            resourceInputs["desktopArn"] = undefined /*out*/;
            resourceInputs["desktopEndpoint"] = undefined /*out*/;
            resourceInputs["desktopType"] = undefined /*out*/;
            resourceInputs["deviceCreationTags"] = undefined /*out*/;
            resourceInputs["kmsKeyArn"] = undefined /*out*/;
            resourceInputs["maintenanceWindow"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["pendingSoftwareSetId"] = undefined /*out*/;
            resourceInputs["pendingSoftwareSetVersion"] = undefined /*out*/;
            resourceInputs["registeredDevicesCount"] = undefined /*out*/;
            resourceInputs["softwareSetComplianceStatus"] = undefined /*out*/;
            resourceInputs["softwareSetUpdateMode"] = undefined /*out*/;
            resourceInputs["softwareSetUpdateSchedule"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["updatedAt"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["desktopArn", "kmsKeyArn"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Environment.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Environment = Environment;
/** @internal */
Environment.__pulumiType = 'aws-native:workspacesthinclient:Environment';
//# sourceMappingURL=environment.js.map